OpenIsle Docs
API 概览
List tags GET Create tag POST
Delete tag DELETE Get tag GET Update tag PUT
Api
Tags
Id

# Update tag

Update an existing tag

PUT
/`api`/`tags`/`{id}`

## Authorization

Authorization Bearer <token>

In: `header`

## Path Parameters

id integer
Format `int64`

## Request Body

name?string
description?string
icon?string
smallIcon?string

## Response Body

###

    curl -X PUT "https://www.open-isle.com/api/tags/0" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "name": "string",
      "description": "string",
      "icon": "string",
      "smallIcon": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "count": 0
    }

Get tag GET

Previous Page

List posts by tag GET

Next Page

    curl -X PUT "https://www.open-isle.com/api/tags/0" \
      -H "Content-Type: application/json" \
      -d '{}'